# $Revision: 1.30 $, $Date: 2006/03/27 12:41:23 $
#
# Conditional build:
%bcond_with	iodbc	# build with libiodbc instead of unixODBC
#
Summary:	MyODBC: an ODBC driver for MySQL
Summary(pl):	MyODBC: driver ODBC dla MySQL
Name:		MyODBC
Version:	3.51.11
Release:	3
License:	GPL v2+ + MySQL FLOSS Exception
Vendor:		MySQL AB
Group:		Libraries
#Source0:	http://www.mysql.com/Downloads/MyODBC/%{name}-%{version}.tar.gz
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/mysql/Downloads/MyODBC3/%{name}-%{version}.tar.gz
# Source0-md5:	fb295a2a07dab09caf608f2227b531ef
URL:		http://www.mysql.com/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with iodbc}
BuildRequires:	libiodbc-devel
%else
BuildRequires:	unixODBC-devel
%endif
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 4.0.10
BuildRequires:	qt-devel
Requires(post):	/usr/bin/odbcinst
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MyODBC: an ODBC driver for MySQL.

%description -l pl
MyODBC: sterownik ODBC dla MySQL.

%package qt
Summary:	MyODBC - Qt-based setup library
Summary(pl):	MyODBC - Oparta o Qt biblioteka konfiguracyjna
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description qt
MyODBC - Qt-based setup library.

%description qt -l pl
MyODBC - Oparta o Qt biblioteka konfiguracyjna.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake} -i
%{__autoconf}
%{__autoheader}
LDFLAGS="%{rpmldflags} -L/usr/X11R6/%{_lib}"
%configure \
	--with-qt-libraries=%{_libdir} \
%if %{with iodbc}
	--with-iODBC=/usr \
	--with-odbc-ini=/etc/odbc.ini
%else
	--with-unixODBC=/usr
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# install text driver
/usr/bin/odbcinst -i -d -r <<EOF
[MySQL]
Description = ODBC for MySQL
Driver = %{_libdir}/libmyodbc3.so
FileUsage = 1
EOF

%postun -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog EXCEPTIONS README
%attr(755,root,root) %{_libdir}/libmyodbc3-*.so
%attr(755,root,root) %{_libdir}/libmyodbc3.so
%attr(755,root,root) %{_libdir}/libmyodbc3_r-*.so
%attr(755,root,root) %{_libdir}/libmyodbc3_r.so

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmyodbc3S-*.so
%attr(755,root,root) %{_libdir}/libmyodbc3S.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MyODBC.spec,v $
Revision 1.30  2006/03/27 12:41:23  glen
- rel 3 (libmysqlclient_15)

Revision 1.29  2005/10/27 17:33:13  arekm
- rel 2

Revision 1.28  2005/02/13 20:36:09  qboosh
- fixed build with lib64

Revision 1.27  2005/02/13 15:16:40  qboosh
- updated to 3.51.11
- License is GPL with MySQL FLOSS Exception now

Revision 1.26  2005/02/12 22:46:25  arekm
rel ++

Revision 1.25  2004/12/26 10:17:40  qboosh
- updated to 3.51.10, added -qt package, fixed License

Revision 1.24  2004/08/31 06:12:56  qboosh
- updated to 3.51.09

Revision 1.23  2004/05/12 18:02:47  qboosh
- fixed iodbc bcond

Revision 1.22  2004/05/11 18:17:25  arekm
- updated

Revision 1.21  2003/08/18 08:07:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/07/17 06:31:40  misi3k
- rel 1
- updated to 3.51.06
- added BR: libltdl-devel

Revision 1.19  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.18  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/18 10:00:35  wiget
- force build with MySQL 4.0.x
- release 2

Revision 1.15  2003/02/14 13:04:12  wiget
- updated to 3.51.05

Revision 1.14  2003/01/01 16:03:37  juandon
- new %%doc

Revision 1.13  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/11 10:57:44  zytek
- typo

Revision 1.9  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/07 10:41:50  wiget
some people need libiodbc version, bcond added

Revision 1.7  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/02 23:20:30  ankry
- www.mysql.com forces using mirror sites for downloading. So choosed one
  (probably the most suitable for most of the developpers) as source URL

Revision 1.5  2001/11/01 22:06:43  qboosh
- updated to 2.50.39

Revision 1.4  2001/09/26 09:06:26  qboosh
- BuildRequires: autoconf, automake, libtool
- added Source0 URL (note: there is 2.50.39 on ftp - upgrade?)

Revision 1.3  2001/09/03 10:37:50  qboosh
- pl translations, s/Copyright/License/

Revision 1.2  2001/05/15 14:18:38  wiget
- adapterize
- rewrite in PLD style
- switch to unixODBC
